#### Previous topic

scipy.signal.dlsim

#### Next topic

scipy.signal.dstep

# scipy.signal.dimpulse

`scipy.signal.``dimpulse`(system, x0=None, t=None, n=None)

  Impulse response of discrete-time system.

  Parameters:

  system : tuple of array_like

  > A tuple describing the system. The following gives the number of elements in the tuple and the interpretation:

  > > - 3: (num, den, dt)
  > > - 4: (zeros, poles, gain, dt)
  > > - 5: (A, B, C, D, dt)

  x0 : array_like, optional

  > Initial state-vector. Defaults to zero.

  t : array_like, optional

  > Time points. Computed if not given.

  n : int, optional

  > The number of time points to compute (if t is not given).

  Returns:

  tout : ndarray

  > Time values for the output, as a 1-D array.

  yout : ndarray

  > Impulse response of system. Each element of the tuple represents the output of the system based on an impulse in each input.

  See also

  `impulse`, `dstep`, `dlsim`, `cont2discrete`